package com.lantone.qc.trans.beilun.util.ez;

import com.lantone.qc.trans.beilun.util.ez.util.EzXmlUtil;
import lombok.extern.slf4j.Slf4j;

import java.util.Map;

/**
 * @Description: 手术记录解析
 * @author: HUJING
 * @time: 2021/1/7 11:20
 */
@Slf4j
public class EzOperationRecordAnalysis implements EzAnalysis {

    @Override
    public Map<String, String> analysis(String xml) throws Exception {
        Map<String, String> map = EzXmlUtil.analysis(xml);
        if (map.containsKey("手术结束时间")) {
            map.put("手术结束时间", map.get("手术结束时间").split(" ")[0]);
        }
        return map;
    }
    /**
     * 目前能解析字段：
     *  手术开始时间
     *  手术结束时间
     *  术前诊断
     *  手术名称
     *  术中诊断
     *  手 术 者
     *  麻醉方法
     *  麻 醉 者
     *  术中并发症
     *  存在问题
     *  术中失血量
     *  手术经过
     *  日期
     */
}